package info.raa0121.exebattle.card

open class MonsterCard(
        name: String,
        cardType: CardType,
        val level: Int,
        val monsterCardType: MonsterCardType,
        val monsterType: MonsterType,
        val attackPoint: Float,
        val defensePoint: Float,
        text: String
) : Card() {

    enum class MonsterCardType {
        NORMAL,
        EFFECT,
        REVERS,
        FUSION,
        RITUAL,
        TUNER,
        SYNCHRO,
        XYZ,
        LINK

    }

    enum class MonsterType {
        Aqua,
        Beast,
        BeastWarrior,
        Charisma,
        CreatorGod,
        Cyberse,
        Dinosaur,
        DivineBeast,
        Dragon,
        Fairy,
        Fiend,
        Fish,
        Insect,
        Machine,
        Plant,
        Psychic,
        Pyro,
        Reptile,
        Rock,
        SeaSerpent,
        SpellCaster,
        Thunder,
        Warrior,
        WingedBeast,
        Wyrm,
        Zombie
    }

    init {
        this.name = name
        this.cardType = cardType
        this.text = text
    }
}
